Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229400 - Need better documentation of how to use hierarchical service definitions.
Summary: Need better documentation of how to use hierarchical service definitions.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 20:46 UTC by Neil Doane
Modified: 2009-04-16 20:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-29 20:18:25 UTC


Attachments (Terms of Use)

Description Neil Doane 2007-02-20 20:46:31 UTC
Description of problem:
Customer has requested that we provide better documentation of how to use
hierarchical service definitions; that is, how to best construct and utilize the
existing supported functionality of nesting services to define dependent
relationships between resources within a service.

Specifically, information provided should demonstrate the order in which
resources are started and stopped (e.g. as from /usr/share/cluster/service.sh
meta-data) as well as provide examples of how to construct service definitions
that include dependent relationships between resources, esp. nested filesystem
mounts, IPs, and startup scripts.

Version-Release number of selected component (if applicable):
Any/All Applicable

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Lon Hohberger 2007-05-03 15:18:44 UTC
This has greatly been simplified with the introduction of #212121 to the RHEL4
branch; users can now run:

rg_test noop <configfile> <start|stop|status> service <servicename>

This will print out what rg_test would do if the operation was to occur - in
order - to stdout.  This will help users ensure they get the correct ordering
for their services.

Note that 212121 also makes resource ordering in cluster.conf a bit more obvious.


Comment 3 Michael Hideo 2007-10-23 02:52:28 UTC
Removing automation notification

Comment 4 Lon Hohberger 2008-01-29 20:18:25 UTC
http://sources.redhat.com/cluster/wiki/ResourceTrees


Note You need to log in before you can comment on or make changes to this bug.